Bug 202383 - Duplicate items for "15 minutes before appointment" in Alarm selection list
Duplicate items for "15 minutes before appointment" in Alarm selection list
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-08-13 21:32 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.7.91-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-14 15:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (63.67 KB, image/png)
2006-08-13 21:32 EDT, Xiaohong Wang
no flags Details
Patch proposed upstream (1.47 KB, patch)
2006-08-14 12:02 EDT, Matthew Barnes
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 351263 None None None Never

  None (edit)
Description Xiaohong Wang 2006-08-13 21:32:13 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch Calendars-Evolution 
2. Select File -> New -> Appointment
3. Click Alarms in toolbar (Alarms window launches)
4. Click selection list after Alarm

Actual results:
Two "15 minutes before appointment" list

Expected results:
Only one list, no duplicate item

Additional info:
Comment 1 Xiaohong Wang 2006-08-13 21:32:14 EDT
Created attachment 134113 [details]
Comment 2 Matthew Barnes 2006-08-14 03:12:59 EDT
The duplicate item is coming from your Calendar preferences.

Look at the last item on the Edit -> Preferences -> Calendar and Tasks dialog
page.  If you alter this setting, it will be reflected on the Alarms menu when
creating a new appointment.

So the bug here is that Evolution does not check for duplicates before adding
the user-customized setting to the menu.
Comment 3 Matthew Barnes 2006-08-14 12:02:32 EDT
Created attachment 134150 [details]
Patch proposed upstream
Comment 4 Matthew Barnes 2006-08-14 15:27:44 EDT
Fixed in evolution-2.7.91-3.

Note You need to log in before you can comment on or make changes to this bug.